AOZ Studio Beta - Bug #595

Create a New AOZ Application doesn't open the new app, does not open the Project tree at the
position of the new program, the selected name is not used for the source, etc. (see details)

11/26/2020 01:08 PM - Brian Flanagan

Status: Resolved Start date: 11/26/2020
Priority: High Due date:

Assignee: Baptiste Bideaux % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B9) u16

Affected version: 1.0.0 (B5)

Description

Example:

Click the "Create a New AOZ Applicaiton" in the toolbar.
Enter a name for your new application: (I chose "A Test".)
Use the defaults on the rest of the "Create a new AOZ Application" dialog box.

Problem 1. At this point you may notice that you do NOT see your new program in the editor.
Problem 2. You'll also notice that the new application's folder has not been opened and made visib
le in the Project tree.

Problem 3. If you manually open the folder, you'll notice that instead of "A Test.aoz", you'll fin
d a main.aoz

Problem 4. If you select that file, and attempt to transpile, AOZ will hang.*

Problem 5. A manifest.hjson is added to the resources folder of the application. THIS is what mak
es the transpiler hang.

History

#1 - 11/26/2020 01:14 PM - Brian Flanagan

NOTE: This problem exists in the macOS version.

#2 - 03/20/2021 02:54 PM - Brian Flanagan
- Assignee set to Baptiste Bideaux

- Affected version changed from Beta 2 to 1.0.0 (B5)
Re-tested in 1.0.0 (B5) Partially fixed. (Items 3-5 are working now.)
Thanks for removing the validator.js and correcting the manifest for macOS.

However... items #1 & #2 on the list still exist:

Problem 1. At this point you may notice that you do NOT see your new program in the editor.
Problem 2. You'll also notice that the new application's folder has not been opened and made visible in the Project tree.

#3 - 06/04/2021 06:41 PM - Brian Flanagan
Re-tested in 1.0.0 (B8) - macOS

Problems 1 & 2 still exist.
Problem #3 is back again.

-- Problem #4 and #5 no longer apply.

There are also new issues:
1. The resources folder is usually not created.
2. The manifest file is not found.

3. The last part of the New dialog box is over-written by some red text.
(This also happens in the Windows version.)

#4 - 06/04/2021 06:43 PM - Brian Flanagan
- Subject changed from Create a New AOZ Application doesn't open the new app, does not open the Project tree at the position of the new program,
the program will not transpile, the selected name is not used for the source, and manifest.hjson is added to the resources. to Create a New AOZ
Application doesn't open the new app, does not open the Project tree at the position of the new program, the selected name is not used for the source,
efc. (see details)

#5 - 06/04/2021 06:50 PM - Brian Flanagan

6 The resources folder is usually not created.

7 The manifest file is not found.

8 The last part of the New dialog box is over-written by some red text.
(This also happens in the Windows version.)

#6 - 10/21/2021 09:34 AM - Brian Flanagan
- Status changed from New to Resolved

- Target version set to 1.0.0 (B9) u16

I'm not sure when this was fixed, but it's working now! :-)
